Name: xucp
Version: 0.10
Release: 2
Summary: xucp is a Perl module and client for sending SMS through a gateway
Copyright: Sonera Corporation
Group: Networking
Source: %{name}-%{version}.tar.gz
Packager: Ian Macdonald <ian@caliban.org>
BuildRoot: /tmp/%{name}-%{version}
Requires: perl, perl-MD5

%changelog
* Mon Sep 27 1999  Ian Macdonald <ian@caliban.org>
- -e DDMMYYHHMM|+mins option added for passing message expiry times
- system and user phone-book facility added
- complete POD documentation added

* Mon Jul 26 1999  Ian Macdonald <ian@caliban.org>
- made -r accept multiple recipients
- cleared up some uninitialised variable warnings

* Sun May  9 1999  Ian Macdonald <ian@caliban.org>
- fixed security issue when password was supplied on command line (0.04)

* Wed May  5 1999  Ian Macdonald <ian@caliban.org>
- Corrected bug causing failure to send when sender's number contained
  non-numeric characters (0.03)

* Fri Apr 30 1999  Ian Macdonald <ian@caliban.org>
- Changed .spec file to install independently of Perl version

* Thu Dec 31 1998  Ian Macdonald <ian@caliban.org>
- Updated to 0.02
- More debugging code added to xucpclient
- Bug fix for barf on non-user-readable /etc/xucpclientrc

* Sat Dec 26 1998  Ian Macdonald <ian@caliban.org>
- First release 0.01

%description
xucp consists of a Perl module written by Matti Aarnio <matti.aarnio@sonera.fi>
and a client written by Ian Macdonald <ian@caliban.org>.

Together, the package allows the sending of authorised SMS messages through
a gateway equipped for this purpose. Such gateways are only accessible with
a login and passwd, which means that only authorised Sonera employees may
make use of this service.

%prep
%setup

%build
pod2html xucpclient > xucpclient.html
pod2man xucpclient > xucpclient.1

%install
rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/{etc,usr/{man/man1,sbin}}
mkdir -p $RPM_BUILD_ROOT/$installarchlib
install XUCP.pm $RPM_BUILD_ROOT/$installarchlib/XUCP.pm
install xucpclient $RPM_BUILD_ROOT/usr/sbin/xucpclient
install xucpclientrc $RPM_BUILD_ROOT/etc/xucpclientrc
install xucpclient.1 $RPM_BUILD_ROOT/usr/man/man1/xucpclient.1

find $RPM_BUILD_ROOT/$installarchlib -type f -print | sed "s@^$RPM_BUILD_ROOT@@g" | grep -v perllocal.pod > %{name}-%{version}-filelist

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-filelist
%config %attr(600,root,root)/etc/xucpclientrc
%attr(700,root,root)/usr/sbin/xucpclient
%doc xucpclient.html
/usr/man/man1/xucpclient.1
